<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_c330b85" . "d625b10f" . "b446f351" . "cc78b4d0" . "5" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNo" . "YXJhY3RlcnM="), "_20a7dc9160360d28b227a7" . "35cd62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2V" . "zc2lvbnN0YXJ0LnBocA=="), "_2713fc125a2798f62a71e9066f39" . "6da7" => base64_decode("Li4vY29tbW9u" . "L2ZpbGVzeXN0" . "ZW0ucGhw"), "_3d0fad80d1698b9bcb5742bda96" . "db9f8" => base64_decode("Tm8gc" . "mlnaH" . "Rz"), "_af66268e" . "41c5634df" . "3c8800793" . "9cbf33" => base64_decode("ZG93bmxvY" . "WQ="), "_605dec66bbd43fd43b6b2" . "abff58a62ef" => base64_decode("bmF0aX" . "Zl"), "_3ce655ae4a14421967cc" . "023a6e907ed5" => base64_decode("aXNfZml" . "sZQ=="), "_f920f0bf" . "40dcf69c4" . "daab1426e" . "0564d6" => base64_decode("V3Jvbmc" . "gcGFyYW" . "1ldGVyc" . "w=="), "_2e062cfc10183d31f0f08" . "48e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0ZW5za" . "W9u"), "actio" . "n" => base64_decode("YWN0aW9" . "u"), "pr" . "ef" . "ix" => base64_decode("cHJ" . "lZm" . "l4"), "_23e3a19ac3ae2de10c1" . "9a9b0017556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzb" . "id0IGV4aXN0"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_4be135064c4d55c13e6af60c45c" . "b1fda" => base64_decode("Z2FsbGVyeS5" . "wZXJtaXNzaW" . "9ucw=="), "_11ff9bccdcd23cd6bf9d9" . "2884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nvbm5lY3Q" . "ucGhw"), "_a62d761f3e831ff9d9da39" . "f9c26ecddc" => base64_decode("Li4vY29tbW9uL2NvcmUuc" . "Ghw"), "_f705bcbe9557715c" . "78f11a9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3BsYW" . "NlaG9sZGVyLnBuZw=="), "_e20b559a1b41449" . "5c43a4fbbf2e5015" . "e" => base64_decode("aHR0cF9" . "zZW5kX2" . "ZpbGU="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_5717b327f1f9b8b82a4c07" . "e8006c2719" => base64_decode("cG" . "5n"), "_3be5fb55318614a35b11119662d2e" . "169" => base64_decode("cGxhY2Vob2xkZ" . "XI="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_20a7dc9160360d28b227a735" . "cd62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a62d761f3e831ff9" . "d9da39f9c26ecddc"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_11ff9bccdcd23cd6bf9d9" . "2884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2713fc125a2798f62a71" . "e9066f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["prefi" . "x"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["ac" . "ti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f920f0bf40dcf69c4da" . "ab1426e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_605dec66bbd43fd43b6b2abff58a62" . "ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f705bcbe9557715c78f11a9a5" . "76dfda3"];
$placeholder_title = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3be5fb553186" . "14a35b1111966" . "2d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5717b327f1f9b8b82a4c07e8" . "006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_605dec66bb" . "d43fd43b6b2" . "abff58a62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4be135064c4d55c13e" . "6af60c45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_3d0fad80d1698b9bcb5742bda96d" . "b9f8"]);
}
if (!$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3ce655ae4a1442196" . "7cc023a6e907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_23e3a19ac3ae2de" . "10c19a9b0017556f" . "0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2e062cfc" . "10183d31f" . "0f0848e59" . "bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e8159697" . "c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c330b85d625b10fb" . "446f351cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e20b559a1b414495c43a4fb" . "bf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_af66268e41c5634df3c88" . "007939cbf33"] ? DOWNLOAD : INLINE);